Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#1021 - uhttpd-mod-ubus: error in postinst script #6094

Closed
openwrt-bot opened this issue Sep 28, 2017 · 1 comment
Closed

FS#1021 - uhttpd-mod-ubus: error in postinst script #6094

openwrt-bot opened this issue Sep 28, 2017 · 1 comment
Labels

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Sep 28, 2017

mdbuerkle:

Supply the following if possible:

  • Device problem occurs on
  • Software versions of LEDE release, packages, etc.
  • Steps to reproduce

root@OpenWrt:/etc# cat os-release
NAME="LEDE"
VERSION="SNAPSHOT, Reboot"
ID="lede"
ID_LIKE="lede openwrt"
PRETTY_NAME="LEDE Reboot SNAPSHOT"
VERSION_ID="snapshot"
HOME_URL="http://lede-project.org/"
BUG_URL="http://bugs.lede-project.org/"
SUPPORT_URL="http://forum.lede-project.org/"
BUILD_ID="r4940-00e9a7aacb"
LEDE_BOARD="ar71xx/generic"
LEDE_ARCH="mips_24kc"
LEDE_TAINTS=""
LEDE_DEVICE_MANUFACTURER="LEDE"
LEDE_DEVICE_MANUFACTURER_URL="http://lede-project.org/"
LEDE_DEVICE_PRODUCT="Generic"
LEDE_DEVICE_REVISION="v0"
LEDE_RELEASE="LEDE Reboot SNAPSHOT r4940-00e9a7aacb"
root@OpenWrt:/etc# cat openwrt_release
DISTRIB_ID='LEDE'
DISTRIB_RELEASE='SNAPSHOT'
DISTRIB_REVISION='r4940-00e9a7aacb'
DISTRIB_CODENAME='reboot'
DISTRIB_TARGET='ar71xx/generic'
DISTRIB_ARCH='mips_24kc'
DISTRIB_DESCRIPTION='LEDE Reboot SNAPSHOT r4940-00e9a7aacb'
DISTRIB_TAINTS=''
root@OpenWrt:/etc# ^C

LEDE Reboot SNAPSHOT r4940-00e9a7aacb

To reproduce:

[[

  • install openwrt-15.05 chaos calmer

  • update to openwrt-xx.xx (d.d., unstable, date?)

  • update to LEDE-17.01.2 (?)
    ]]

  • update to LEDE Reboot SNAPSHOT r4940-00e9a7aacb (keepsettings: yes)

  • (reboot for flashing)

  • opkg update

  • opkg install luci

=> message included in update output:
Installing //usr/lib/opkg/info/uhttpd-mod-ubus.postinst: .: line 130: 00_uhttpd_ubus: not found

complete output:

mdb@lapmdb-hpl ~ $>> ssh root@OpenWRT.localnet opkg update
Downloading http://downloads.lede-project.org/snapshots/targets/ar71xx/generic/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/reboot_core
Downloading http://downloads.lede-project.org/snapshots/targets/ar71xx/generic/packages/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/reboot_base
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/reboot_luci
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/reboot_packages
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/reboot_routing
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/reboot_telephony
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/telephony/Packages.sig
Signature check passed.
mdb@lapmdb-hpl ~ $>> ssh root@192.168.178.1 opkg install luci
Installing luci (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci_git-17.267.26012-a2ea9fd-1_all.ipk
Installing uhttpd (2017-08-19-3fd58e9b-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/uhttpd_2017-08-19-3fd58e9b-1_mips_24kc.ipk
Installing uhttpd-mod-ubus (2017-08-19-3fd58e9b-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/uhttpd-mod-ubus_2017-08-19-3fd58e9b-1_mips_24kc.ipk
Installing liblua (5.1.5-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/liblua_5.1.5-1_mips_24kc.ipk
Installing lua (5.1.5-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/lua_5.1.5-1_mips_24kc.ipk
Installing libuci-lua (2017-04-12-c4df32b3-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/libuci-lua_2017-04-12-c4df32b3-1_mips_24kc.ipk
Installing luci-lib-nixio (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-lib-nixio_git-17.267.26012-a2ea9fd-1_mips_24kc.ipk
Installing luci-lib-ip (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-lib-ip_git-17.267.26012-a2ea9fd-1_mips_24kc.ipk
Installing rpcd (2016-12-03-0577cfc1-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/rpcd_2016-12-03-0577cfc1-1_mips_24kc.ipk
Installing libubus-lua (2017-02-18-34c6e818-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/base/libubus-lua_2017-02-18-34c6e818-1_mips_24kc.ipk
Installing luci-lib-jsonc (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-lib-jsonc_git-17.267.26012-a2ea9fd-1_mips_24kc.ipk
Installing luci-base (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-base_git-17.267.26012-a2ea9fd-1_mips_24kc.ipk
Installing luci-mod-admin-full (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-mod-admin-full_git-17.267.26012-a2ea9fd-1_mips_24kc.ipk
Installing luci-theme-bootstrap (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-theme-bootstrap_git-17.267.26012-a2ea9fd-1_all.ipk
Installing luci-app-firewall (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-app-firewall_git-17.267.26012-a2ea9fd-1_all.ipk
Installing luci-proto-ppp (git-17.267.26012-a2ea9fd-1) to root...
Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-proto-ppp_git-17.267.26012-a2ea9fd-1_all.ipk
Installing libiwinfo-lua (2017-08-23-c1a03e82-1) to root...
Downloading http://downloads.lede-project.org/snapshots/targets/ar71xx/generic/packages/libiwinfo-lua_2017-08-23-c1a03e82-1_mips_24kc.ipk
Installing //usr/lib/opkg/info/uhttpd-mod-ubus.postinst: .: line 130: 00_uhttpd_ubus: not found
Collected errors:

  • resolve_conffiles: Existing conffile /etc/config/uhttpd is different from the conffile in the new package. The new conffile will be placed at /etc/config/uhttpd-opkg.
  • resolve_conffiles: Existing conffile /etc/config/luci is different from the conffile in the new package. The new conffile will be placed at /etc/config/luci-opkg.
    luci-proto-ipv6 (git-17.267.26012-a2ea9fd-1) to root...
    Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/luci-proto-ipv6_git-17.267.26012-a2ea9fd-1_all.ipk
    Installing rpcd-mod-rrdns (20170710) to root...
    Downloading http://downloads.lede-project.org/snapshots/packages/mips_24kc/luci/rpcd-mod-rrdns_20170710_mips_24kc.ipk
    Configuring liblua.
    Configuring libuci-lua.
    Configuring rpcd.
    Configuring luci-lib-ip.
    Configuring libubus-lua.
    Configuring libiwinfo-lua.
    Configuring luci-theme-bootstrap.
    Configuring luci-app-firewall.
    Configuring lua.
    Configuring luci-proto-ppp.
    Configuring luci-lib-nixio.
    Configuring luci-lib-jsonc.
    Configuring luci-base.
    Configuring luci-mod-admin-full.
    Configuring luci-proto-ipv6.
    Configuring uhttpd.
    Configuring uhttpd-mod-ubus.
    Configuring rpcd-mod-rrdns.
    Configuring luci.
    mdb@lapmdb-hpl ~ $>> ssh root@OpenWrt.localnet opkg install strace snmpd snmp-mibs lsof rsyslog diffutils vim less

conffiles *-opkg have been merged before (from Wednesdays update) and after installation => no big differences.

Kind regards,
Dominik

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Nov 1, 2017

aparcar:

I'm receiving the "line 130 error" in another situation, is the postinst script broken?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Development

No branches or pull requests

1 participant